src/main/EPPW.Web/Areas/Documents/Controllers/SampleController.cs
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using Sliverant.Web.Common;

namespace EPPW.Web.Areas.Documents.Controllers
{
    [AllowAnonymous]
    public class SampleController : BaseController
    {
        //
        // GET: /Documents/Sample/

        public ActionResult Index()
        {
            return View();
        }

    }
}

src/main/EPPW.Web/Controllers/FileController.cs
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using EPPW.Web.Common;
using EPPW.Collections;
using System.IO;
using Sliverant.Web.Common;
using EPPW.FileMng.Dto;
using EPPW.FileMng.Service;

namespace EPPW.Web.Controllers
{
    [AllowAnonymous]
    public class FileController : EPPWBaseController
    {
        public IFileService FileService;

        public string fileServerDirectory {
            get {
                return Server.MapPath(@"~");
            }
        }
        public FileStreamResult GetFile(int id)
        {
            //IDictionary<int, FileDto> filelist = new Dictionary<int, FileDto>();

            //filelist.Add(1, new FileDto() { FileName = "衣服.bmp", FileExtName = "bmp" });
            //filelist.Add(2, new FileDto() { FileName = "衣服.gif", FileExtName = "gif" });
            //filelist.Add(3, new FileDto() { FileName = "衣服.jpg", FileExtName = "jpg" });
            //filelist.Add(4, new FileDto() { FileName = "衣服.png", FileExtName = "png" });
            //filelist.Add(5, new FileDto() { FileName = "衣服.tif", FileExtName = "tif" });
            //filelist.Add(6, new FileDto() { FileName = "server.ico", FileExtName = "ico" });


            //return File(new FileStream(Server.MapPath(@"~/upload/" + filelist[id].FileName), FileMode.Open), "application/octet-stream", filelist[id].FileName + "." + filelist[id].FileExtName);


            NameValueList args = new NameValueList();
            args.Add("FileID", id);
            FileDto fileDto = FileService.GetFileByFileID(args);
            if (fileDto != null)
            {

                return File(new FileStream(fileServerDirectory+fileDto.FilePath, FileMode.Open), "application/octet-stream", fileDto.FileName);
            }
            else {
                Response.Redirect("~/Error/Http500");
                return null;
            }
        
        }

        public JsonResult UploadFile()
        {
            
                List<FileDto> fileList = new List<FileDto>();

                for (int i = 0; i < Request.Files.Count; i++)
                {
                    FileDto fileDto = new FileDto();
                    HttpPostedFileBase file = Request.Files[i];

                    string fileUploadDir = @"upload/";
                    if (!Directory.Exists(Path.GetDirectoryName(fileUploadDir)))
                    {
                        Directory.CreateDirectory(fileServerDirectory+fileUploadDir);
                    }
                    file.SaveAs(fileServerDirectory + fileUploadDir + file.FileName);
                    fileDto.FileExtName = file.FileName.Substring(file.FileName.LastIndexOf(".")+1, file.FileName.Length - (file.FileName.LastIndexOf(".")+1));
                    fileDto.FileName = file.FileName;
                    fileDto.FilePath = fileUploadDir + file.FileName;
                    fileDto.InUserID = 0;
                    NameValueList args = new NameValueList();
                    args.Add("FileDto", fileDto);

                    fileDto = FileService.SaveFile(args);
                    fileList.Add(fileDto);
                }

                return Json(JsonResultType.Success, "", new { fileList = fileList }, JsonRequestBehavior.AllowGet);
           
        }

        public ActionResult WebUpload(string extensions, string numLimit)
        {
            ViewBag.extensions = extensions;
            if (string.IsNullOrEmpty(numLimit))
            {
                ViewBag.numLimit = int.MaxValue;
            }
            else
            {
                ViewBag.numLimit = numLimit;
            }
            return View();
        }
    }
}

src/main/EPPW.Web/Controllers/SiteMapController.cs
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using EPPW.Web.Common.Models;
using Sliverant.Web.Common;
using EPPW.Membership.Service;
using EPPW.Membership.Dto;
using Sliverant.Web.Common.Utils;
using EPPW.Web.Controllers;


namespace EPPW.Web.Controllers
{


    [AllowAnonymous]
    public class SiteMapController : EPPWBaseController
    {
        public IProgramMenuService ProgramMenuService { get; set; }
        //
        // GET: /SiteMap/

        public ActionResult Index()
        {
            return View();
        }
        public ActionResult TopMenu()
        {
            string menuName = "";
            IEnumerable<SiteMapNodeModel> result = GetTopMenu(menuName);

            SiteMapNodeModel siteMapNodeModel = result.FirstOrDefault();
            ViewBag.userName = SessionService.UserInfo == null ? null : SessionService.UserInfo.Name;//Add By JiangYafei 2015-2-2 14:44:42
            return View(result.First());
        }

        public ActionResult SideMenu(string action, string controller, string parentDepth)
        {
            IEnumerable<SiteMapNodeModel> result = GetSideMenu(action, controller, parentDepth);

            SiteMapNodeModel siteMapNodeModel = result.FirstOrDefault();
            return View(result.First());
        }

        /// <summary>
        /// DESC: GET All Menu 
        /// CREATOR:jin.chunhe
        /// CREATE-DATE:2014-09-16
        /// </summary>
        /// <returns></returns>
        public List<ProgramMenuDto> GetAllMenu()
        {
            List<ProgramMenuDto> menulist = SessionService.GetValue("SESSION_SITEMENU_ALLMENU") as List<ProgramMenuDto>;
            if (menulist == null)
            {
                menulist = ProgramMenuService.GetAllProgramMenuDto();
                SessionService.SetValue("SESSION_SITEMENU_ALLMENU", menulist);
            }
            return menulist;
        }
        /// <summary>
        /// DESC: GET Authority Menu 
        /// CREATOR:kuang.yongsheng
        /// CREATE-DATE:2015-01-07
        /// </summary>
        /// <returns></returns>
        public List<ProgramMenuDto> GetAuthorityMenu()
        {
            List<ProgramMenuDto> menulist = SessionService.GetValue("SESSION_SITEMENU_AuthorityMENU") as List<ProgramMenuDto>;
            if (menulist == null)
            {
                if (SessionService.UserInfo != null)
                {
                    menulist = ProgramMenuService.GetProgramMenuByUserId(SessionService.UserInfo.UserId);
                    SessionService.SetValue("SESSION_SITEMENU_AuthorityMENU", menulist);
                }
            }
            return menulist;
        }


        /// <summary>
        /// DESC: GetTopMenu
        /// CREATOR:jin.chunhe
        /// CREATE-DATE:2014-09-16
        /// </summary>
        /// <param name="menuName"></param>
        /// <returns></returns>
        public IEnumerable<SiteMapNodeModel> GetTopMenu(string menuName)
        {
            //Guid appid = new Guid("E23756DA-E5DB-4AF0-9167-A1D401746F31");
            //int parentId = 0;
            // List<ProgramMenu> menulist = this.GetAllMenu();
            //修改为只能看到有权限的页面
            List<ProgramMenuDto> menulist = this.GetAuthorityMenu();

            List<ProgramMenuDto> topmenulist = new List<ProgramMenuDto>();
            SiteMapNodeModelList topMenuModelList = new SiteMapNodeModelList();
            if (menulist != null)
            {
                topmenulist = menulist.FindAll(p => p.ParentId == 0);
            }
            if (topmenulist != null)
            {
                foreach (ProgramMenuDto pmenu in topmenulist)
                {
                    topMenuModelList.Add(new SiteMapNodeModel
                    {
                        Action = pmenu.Action,
                        Controller = pmenu.Controller,
                        Title = pmenu.Name,
                        Description = pmenu.Description
                    });
                }
            }
            SiteMapNodeModelList result = new SiteMapNodeModelList();
            result.Add(new SiteMapNodeModel { Children = topMenuModelList });
            return result;
        }
        /// <summary>
        /// DESC: GetSideMenu
        /// CREATOR:jin.chunhe
        /// CREATE-DATE:2014-09-16
        /// </summary>
        /// <param name="action"></param>
        /// <param name="controller"></param>
        /// <param name="parentDept"></param>
        /// <returns></returns>
        public IEnumerable<SiteMapNodeModel> GetSideMenu(string action, string controller, string parentDept)
        {
            //List<ProgramMenu> menulist = this.GetAllMenu();
            //修改为只能看到有权限的页面
            List<ProgramMenuDto> menulist = this.GetAuthorityMenu();

            SiteMapNodeModelList folderProgModelList = new SiteMapNodeModelList();

            //ProgramMenu thisMenu = menulist.Find(p => p.ProgramPage != null
            //    && p.ProgramPage.WebProgram.Action == action
            //    && p.ProgramPage.WebProgram.Controller == controller
            //    && p.ParentId != 0);
            //if (thisMenu != null)
            //{
            //   ProgramMenu folderMenu = menulist.Find(p => p.Id == thisMenu.ParentId);//查询当前页面菜单所属文件夹

            //ProgramMenu topMenu = menulist.Find(p => p.ProgramPage.WebProgram.Controller == controller);//查询当前文件夹所属TopMenu
            //ProgramMenuDto topMenu = menulist.Find(p => p.Controller == controller && p.Action == action);
            ProgramMenuDto topMenu = null;
            foreach (ProgramMenuDto topmenu1 in menulist)
            {
                foreach (ProgramMenuDto menufolder in menulist.FindAll(p => p.ParentId == topmenu1.Id))
                {
                    ProgramMenuDto currentmenu = menulist.FindAll(p => p.ParentId == menufolder.Id).Find(p => p.Controller == controller && p.Action == action);
                    if (currentmenu != null)
                    {
                        topMenu = topmenu1;
                        break;
                    }
                }
                if (topMenu != null)
                {
                    break;
                }
            }

            if (topMenu != null)
            {
                List<ProgramMenuDto> oFolderList = menulist.FindAll(p => p.ParentId == topMenu.Id);//oFolderList：所有2级菜单
                oFolderList.Sort((left, right) =>
                {
                    if (left.DisplaySeq > right.DisplaySeq)
                        return 1;
                    else if (left.DisplaySeq == right.DisplaySeq)
                        return 0;
                    else
                        return -1;
                });
                foreach (ProgramMenuDto folderprogMenu in oFolderList)
                {
                    List<ProgramMenuDto> progList = menulist.FindAll(p => p.ParentId == folderprogMenu.Id); //progList：所有3级菜单
                    if (progList != null)
                    {
                        progList.Sort((left, right) =>
                        {
                            if (left.DisplaySeq > right.DisplaySeq)
                                return 1;
                            else if (left.DisplaySeq == right.DisplaySeq)
                                return 0;
                            else
                                return -1;
                        });
                        SiteMapNodeModel folderModel = new SiteMapNodeModel();
                        SiteMapNodeModelList programModelList = new SiteMapNodeModelList();
                        foreach (ProgramMenuDto progMenu in progList)
                        {
                            if (progMenu != null)
                            {
                                programModelList.Add(new SiteMapNodeModel
                                {
                                    Action = progMenu.Action,
                                    Controller = progMenu.Controller,
                                    Title = progMenu.Name,
                                    Description = progMenu.Description,
                                    IsInCurrentPath = (progMenu.Action == action
                                    && progMenu.Controller == controller)
                                });
                            }
                        }

                        folderModel.Title = folderprogMenu.Name;
                        folderModel.Description = folderprogMenu.Description;
                        folderModel.Children = programModelList;
                        if (programModelList != null && programModelList.Count != 0)//如果没有三级菜单，也不要显示二级菜单
                        {
                            folderProgModelList.Add(folderModel);
                        }
                    }
                }
            }
            //}
            SiteMapNodeModelList result = new SiteMapNodeModelList();
            result.Add(new SiteMapNodeModel { Children = folderProgModelList });
            return result;
        }
        /// <summary>
        /// DESC:SetCulture
        /// CREATOR:jin.chunhe
        /// CREATE-DATE:2014-09-05
        /// </summary>
        /// <param name="culture"></param>
        /// <param name="returnUrl"></param>
        /// <returns></returns>
        [AllowAnonymous]
        public JsonResult SetCulture(string culture, string returnUrl)
        {
            if (!string.IsNullOrEmpty(culture))
            {
                //System.Globalization.CultureInfo cult = new System.Globalization.CultureInfo(culture);
                ////ResourceProvider.
                //StorageProvider.SetData(Values.NAME_SESSION_CULTURE, cult.Name, LifeCycle.Session);
                //CultureProvider.SetCulture(cult.Name);
                CultureService.CurrentCultureName = culture;
            }

src/main/EPPW.Web/Views/Sample/AjaxSample.cshtml
@{
    ViewBag.Title = "AjaxSample";
    Layout = "~/Views/Shared/_B3Layout.cshtml";
}
@section Scripts{
    <script type="text/javascript">
        $(function () {
            $(".imageAjax").on("click", function () { imageAjax(); });
        });

        function imageAjax() {
            $.sa.post('@Url.Action("AjaxData", "sample")',
                        {},
                        {
                            "success": function (data) {
                                var varData; if (data != null) {
                                    // data = data.items;
                                    // $.each(data, function (i, val) { alert(val); });
                                }
                            },
                            "failure": function (data, statusText, jqXHR) {
                                $("#callback_1_layer").html(data.msg);
                            }
                        }
                        , $(".loading")
                        , { type: "image" });
        }
        $(function () {
            $(".spinAjax").on("click", function () { spinAjax(); });
        });


        function spinAjax() {
            $.sa.post('@Url.Action("AjaxData", "sample")',
                        {},
                        {
                            "success": function (data) {
                                var varData; if (data != null) {
                                    // data = data.items;
                                    // $.each(data, function (i, val) { alert(val); });
                                }
                            },
                            "failure": function (data, statusText, jqXHR) {
                                $("#callback_1_layer").html(data.msg);
                            }
                        }
                        , $(".spinloading")
                        , { type: "spin" });
        } 
    </script>
}
<h2>
    AjaxSample</h2>
<div class="container-fluid">
    <div class="row">
        <div class="col-md-4">
            <div class="list-group gap-top">
                <a class="list-group-item imageAjax" href='#'>imageAjax</a>
            </div>
        </div>
        <div class="col-md-4">
            <div class="list-group gap-top">
                <a class="list-group-item spinAjax" href='#'>spinAjax</a>
            </div>
        </div>
    </div>
    <div class="row">
        <span id="callback_1_layer"></span>
    </div>
    <div class="row">
        <div class="col-md-6">
            <div class="row loading" style="background-color: #ccc; width: 500px; height: 500px;">
            </div>
        </div>
         <div class="col-md-6">
            <div class="row spinloading" style="background-color:pink; width: 300px; height: 200px;">
            </div>
        </div>
    </div>
</div>

src/main/EPPW.Web/Views/Sample/Boot3Sample.cshtml
@{
    ViewBag.Title = "Boot3Sample1";
    Layout = "~/Views/Shared/_B3Layout.cshtml";
}

<div class="row">
    <div class="col-md-2">
        <div>menu</div>
    </div>
    <div class="col-md-10">
        <input type="text" value="ABCDEFG" /><button type="button" >
                                         <span class="glyphicon glyphicon-star"></span>Search</button>
    </div>
</div>
<div class="row">
    <div class=" col-xs-6 col-sm-12 col-md-4">
        <div class="input-group gap-top">
          <span class="input-group-addon">
            <span class="title-sm">
                fa
            </span>
          </span>
          <input type="text" class="form-control text-right">
        </div><!-- /input-group -->
    </div>
    <div class="col-xs-6 col-sm-6 col-md-4 ">
        <div class="input-group gap-top">
          <span class="input-group-addon">
            <span class="title-sm">
                fafff
            </span>
          </span>
          <input type="text" class="form-control">
        </div><!-- /input-group -->
    </div>
    <div class="col-xs-12 col-sm-6 col-md-4  ">
        <div class="input-group gap-top">
          <span class="input-group-addon">
            <span class="title-sm">
                fa
            </span>
          </span>
          <input type="text" class="form-control">
        </div><!-- /input-group -->
    </div>
</div>
<div class="row">
    <div class="col-md-4 col-sm-12 col-xs-6">
        <div class="input-group gap-top">
          <span class="input-group-addon ">
            <span class="title-sm">
                fa
            </span>
            
          </span>
          <input type="text" class="form-control">
        </div><!-- /input-group -->
    </div>
    <div class="col-md-4  col-sm-6 col-xs-6">
        <div class="input-group gap-top">
          <span class="input-group-addon">
            <span class="title-sm">
                faff
            </span>
          </span>
          <input type="text" class="form-control">
        </div><!-- /input-group -->
    </div>
    <div class="col-md-4 col-sm-6 col-xs-12">
        <div class="input-group gap-top">
          <span class="input-group-addon">
            <span class="title-sm">
                fafasdrfa
            </span>
          </span>
          <input type="text" class="form-control">
        </div><!-- /input-group -->
    </div>
</div>

src/main/EPPW.Web/Views/Sample/ExceptionSample.cshtml
@{
    ViewBag.Title = "AjaxSample";
    Layout = "~/Views/Shared/_B3Layout.cshtml";
}
@section Scripts{
    <script type="text/javascript">
        $(function () {
            $(".imageAjax").on("click", function () { imageAjax(); });
        });

        function imageAjax() {
            $.sa.post('@Url.Action("ExceptionAccess", "sample")',
                        {},
                        {
                            "success": function (data) {
                                var varData; if (data != null) {
                                    data = data.Data;
                                    alert(data);
                                }
                            }
                        }
                        , $(".loading")
                        , { type: "image" });
        }
        $(function () {
            $(".spinAjax").on("click", function () { spinAjax(); });
        });


    </script>
}
<h2>
    ExceptionSample</h2>
<div class="container-fluid">
    <div class="row">
        <div class="col-md-4">
            <div class="list-group gap-top">
                <a class="list-group-item imageAjax" href='#'>imageAjax</a>
            </div>
        </div>
     
    </div>
    <div class="row">
        <span id="callback_1_layer"></span>
    </div>
    <div class="row">
        <div class="col-md-6">
            <div class="row loading" style="background-color: #ccc; width: 500px; height: 500px;">
            </div>
        </div>
    </div>
</div>

src/main/EPPW.Web/Views/Sample/File.cshtml
@{
    ViewBag.Title = "File";
    Layout = "~/Views/Shared/_B3SideBarLayout.cshtml";
}
@section HeadCss{
    <link href='@Url.Content("~/Content/plugins/charts/Nwagon.css")' rel="Stylesheet" type="text/css" />
}
@section SideContent{
    @{
        Html.RenderAction("SideMenu", "SiteMap", new { action = "", controller = "", parentDepth = 2 });
    }
}
@section Scripts{
}
<div class="container-fluid">
    <div class="row">
        <div class="h2">
            File</div>
    </div>
    <hr />
    <div class="row">
        <div class="h2">
            实际路径的图片</div>
    </div>
    <div class="row">
        <div>
            <img src="../upload/server.ico" />
            <img src="../upload/衣服.jpg" />
            <img src="../upload/衣服.tif" />
            <img src="../upload/衣服.png" />
        </div>
    </div>
    <hr />
    <div class="row">
        <div class="h2">
            通过id获取图片</div>
    </div>
    <div class="row">
   
        <div>
            
            <img src="../file/getfile/7" />
            <img src="../file/getfile/3" />
            <img src="../file/getfile/4" />
            <img src="../file/getfile/5" />
            <img src="../file/getfile/6" />
            
        </div>
    </div>

       <div class="row">
        <div class="h2">
            通过id获取文件</div>
    </div>
    <div class="row">
        <a href="../file/getfile/1">下载文件</a>
    </div>
    <hr />
</div>

src/main/EPPW.Web/Views/Sample/IconTemp.cshtml
@{
    ViewBag.Title = "IconTemp";
    Layout = "~/Views/Shared/_B3Layout.cshtml";
}
@section HeadCss{
    @if (false)
    {
        <link rel="stylesheet" type="text/css" href="../../Content/public/bootstrap3/bootstrap.css" />
        <link rel="stylesheet" type="text/css" href="../../Content/public/bootstrap3/bootstrap-theme.css" />
        <link rel="stylesheet" type="text/css" href="../../Content/public/bootstrap3/bootstrap-custom.css" />
    }
}
@section Scripts{
    <script type="text/javascript" src='@Url.Content("~/Scripts/Plugins/hogan/template.js")'></script>
    <script type="text/javascript" src='@Url.Content("~/Scripts/Plugins/hogan/compiler.js")'></script>
    <script type="text/javascript" src='@Url.Content("~/Htmltemplates/Plugins/Sample/Hogan_Temp_Select.js")'></script>
    <script type="text/javascript">
        $(document).ready(function () {
            Initialize.call();
            InitData.call();
        });
    </script>
    <script type="text/javascript">
        var Initialize = function () {

        },
        InitData = function () {
            var data = { items: [
            { lblName: "AddRow", iconcode: "glyphicon glyphicon-plus" }
            , { lblName: "DelRow", iconcode: "glyphicon glyphicon-trash" }
            , { lblName: "Edit", iconcode: "glyphicon glyphicon-pencil" }
            , { lblName: "Search", iconcode: "glyphicon glyphicon-search" }
            , { lblName: "Save", iconcode: "glyphicon glyphicon-floppy-disk" }
            , { lblName: "Download", iconcode: "glyphicon glyphicon-save" }
            , { lblName: "Upload", iconcode: "glyphicon glyphicon-open" }
            , { lblName: "File", iconcode: "glyphicon glyphicon-file" }
            ]
            };
            var temp_select = tableTemp.join(''); // "{{#items}}<option value='{{Code}}'>{{Name}}</option>{{/items}}";
            var template = Hogan.compile(temp_select);
            var output = template.render(data);
            $("#tbl1 tbody").empty().html(output);
        }
    </script>
}

<div class="container-fluid">
    <div class="row">
<div class="panel panel-info gap-top">
    <div class="panel-heading">Icon List</div>
    <div class="panel-body">
        <table id="tbl1" class="table table-bordered">
        <thead>
            <tr class="success">
                <th>Label</th>
                <th>Sample</th>
                <th>ClassCode</th>
            </tr>
        </thead>
        <tbody>
                
        </tbody>
        </table>
    </div>
    @*<div class="panel-footer">Panel footer</div>*@
</div>
        
    </div>
</div>

src/main/EPPW.Web/Views/Sample/Index.cshtml
@{
    ViewBag.Title = "Boot3Sample1";
    Layout = "~/Views/Shared/_B3Layout.cshtml";
}
@section Scripts{
}
@section HeadCss{
    @if (false)
    {
        <link rel="stylesheet" type="text/css" href="../../Content/public/bootstrap3/bootstrap.css" />
        <link rel="stylesheet" type="text/css" href="../../Content/public/bootstrap3/bootstrap-theme.css" />
        <link rel="stylesheet" type="text/css" href="../../Content/public/bootstrap3/bootstrap-custom.css" />
    }
}
<div class="container-fluid">
<div class="row">
        <div class="col-md-4">
            <div class="list-group gap-top">
                <a class="list-group-item" href ='@Url.Action("HomePage", "Home")'>Home</a>
            </div>
        </div>
        <div class="col-md-4">
            <div class="list-group gap-top">
                <a class="list-group-item" href ='@Url.Action("HomePage", "Sample")'>Sample</a>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-md-4">
            <div class="list-group gap-top">
                <a class="list-group-item" href ='@Url.Action("ExtendMethod", "sample")'>扩展方法</a>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-md-4">
            <div class="list-group gap-top">
                <a class="list-group-item" href ='@Url.Action("ValidateTest2", "sample")'>验证的示例</a>
                <a class="list-group-item" href ='@Url.Action("ueditor", "sample")'>编辑器的示例</a>
                <a class="list-group-item" href ='@Url.Action("select", "sample")'>下拉单选框</a>
                <a class="list-group-item" href ='@Url.Action("Training", "sample")'>培训模式</a>
            </div>
        </div>
        <div class="col-md-4">
            <div class="list-group  gap-top">
                <a class="list-group-item" href ='@Url.Action("AjaxSample", "sample")'>TestAjax</a>
                <a class="list-group-item" href ='@Url.Action("ExceptionSample", "sample")'>ExceptionSample</a>
                <a class="list-group-item" href ='@Url.Action("IconTemp", "sample")'><span class="glyphicon glyphicon-file text-primary gap-icon">
                </span>Icon Template</a>
            </div>
        </div>
    </div>
</div>

src/main/EPPW.Web/Views/Sample/Select.cshtml
@{
    ViewBag.Title = "select";
    Layout = "~/Views/Shared/_B3Layout.cshtml";
}
@section Scripts{
    @if (false)
    {
        <script src="../../Scripts/Public/jquery-1.11.1.js" type="text/javascript"></script>
        <script src="../../Scripts/Public/bootstrap3/bootstrap.js" type="text/javascript"></script>
        <script src="../../Scripts/Public/sa/jquery.sa.ajax.js" type="text/javascript"></script>
        <script type="text/javascript" src="../../Scripts/Public/sa/jquery.sa.ajax.js"></script>
        <script type="text/javascript" src="../../Scripts/Public/sa/jquery.sa.dialog.js"></script>
        <script src="../../Scripts/Public/bbss/validate.js" type="text/javascript"></script>
        <script src="../../Scripts/Public/bbss/jqueryextend.js" type="text/javascript"></script>
        <script src="../../Scripts/Public/bbss/dropdownlist.js" type="text/javascript"></script>
    }
    <script type="text/javascript">

        $(document).ready(function () {


            var dropdownlist = $("#slPerson").dropdownlist({
                textfield: "Name",
                valuefield: "Value",
                items: [{ Name: "z3", Value: 1 }, { Name: "l4", Value: 2 }, { Name: "w5", Value: 3}],
                defaultvalue: 2,
                prompttype: "select",
                selectinit: function (e,data) {
                    $.sa.alert(data.dropdownlist.selectedValue());
                },
                selectchange: function (e,data) {
                    $.sa.alert("选择的内容由" + data.beforeItem.Name + "变更为" + data.currentItem.Name);
                }
            });
           



        });
        $(document).ready(function () {
            $("#btn1").on("click", function () {
                var dropdownlist = $("#slPerson").dropdownlist();
                $.sa.alert(dropdownlist.selectedItem().Name);
            })
            $("#btn2").on("click", function () {
                var dropdownlist = $("#slPerson").dropdownlist();
                dropdownlist.selectedValue(1);
            })
            $("#btn3").on("click", function () {
                var dropdownlist = $("#slPerson").dropdownlist().bind([{ Name: "xx", Value: 1 }, { Name: "yy", Value: 2 }, { Name: "zz", Value: 3}]);
            })
        });
    </script>
}
@section HeadCss{
    @if (false)
    {
        <link href="/Content/public/bootstrap3/bootstrap.css" rel="stylesheet" type="text/css" />
        <link rel="stylesheet" type="text/css" href="../../Content/public/bootstrap3/bootstrap-custom.css" />
    }
}
<div class="container-fluid">
    <div class="row">
        <div class="pull-right gap-top">
            <button class="btn btn-primary" id="btn1">
                <span class="glyphicon glyphicon-search"></span>获取选中的item</button>
            <button class="btn btn-primary" id="btn2">
                <span class="glyphicon  glyphicon-floppy-disk">将item设置为：z3</button>
            <button class="btn btn-primary" id="btn3">
                <span class="glyphicon  glyphicon-floppy-disk">重新设置</button>
        </div>
    </div>
    <div class="row">
        <div class="col-md-4 col-sm-6">
            <div class="input-group  gap-top">
                <span class="input-group-addon title-md ">新的下拉框:</span>
                <div class=" input-group select validate notnull " id="slPerson">
                </div>
            </div>
        </div>
    </div>
</div>